org.apache.ignite.internal.processors.compress

## Interface NativeFileSystem

    public interface NativeFileSystem

Native file system API.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getFileSystemBlockSize(int fd)`
`int` `getFileSystemBlockSize(Path path)`
`long` `getSparseFileSize(int fd)`
`void` `punchHole(int fd, long off, long len)`

### Method Detail

#### getFileSystemBlockSize

    int getFileSystemBlockSize(Path path)

Parameters:
  `path` - Path.
Returns:
  File system block size in bytes.

#### getFileSystemBlockSize

    int getFileSystemBlockSize(int fd)

Parameters:
  `fd` - Native file descriptor.
Returns:
  File system block size in bytes.

#### punchHole

    void punchHole(int fd,
                   long off,
                   long len)

Parameters:
  `fd` - Native file descriptor.
  `off` - Offset of the hole.
  `len` - Length of the hole.

#### getSparseFileSize

    long getSparseFileSize(int fd)

Parameters:
  `fd` - Native file descriptor.
Returns:
  Approximate system dependent size of the sparse file.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022